#import <Foundation/Foundation.h>
#import "XMLRPCConnectionDelegate.h"

@class XMLRPCConnection, XMLRPCRequest;

@interface XMLRPCConnectionManager : NSObject {
    NSMutableDictionary *myConnections;
}

+ (XMLRPCConnectionManager *)sharedManager;
- (NSString *)spawnConnectionWithXMLRPCRequest: (XMLRPCRequest *)request delegate: (id<XMLRPCConnectionDelegate>)delegate;
- (NSArray *)activeConnectionIdentifiers;
- (int)numberOfActiveConnections;
- (XMLRPCConnection *)connectionForIdentifier: (NSString *)identifier;
- (void)closeConnectionForIdentifier: (NSString *)identifier;
- (void)closeConnections;

@end
