#import <Foundation/Foundation.h>

@class XMLRPCEncoder;

@interface XMLRPCRequest : NSObject {
    NSMutableURLRequest *myRequest;
    XMLRPCEncoder *myXMLEncoder;
}

- (id)initWithURL: (NSURL *)URL;
+ (id) XMLRequestWithURL:(NSURL*) url;

- (void)setURL: (NSURL *)URL;

- (NSURL *)URL;
- (void)setUserAgent: (NSString *)userAgent;
- (NSString *)userAgent;

- (void)setMethod: (NSString *)method;
- (void)setMethod: (NSString *)method withParameter: (id)parameter;
- (void)setMethod: (NSString *)method withParameters: (NSArray *)parameters;

- (NSString *)method;
- (NSArray *)parameters;

- (NSString *)body;

- (NSURLRequest *)request;

@end
